<?php

use RedBeanPHP\R;

class Revision {

    protected $table;

    function __construct() {
        $settings = require __DIR__ . '/../settings.php';
        $this->table = $settings['settings']['db']['prefix'].'revision';
    }

    function saveRevision($id, $original, $change) {
        $revision = R::xdispense( $this->table );
        $revision->task_id = $id;
        $revision->original = $original;
        $revision->revision = $change;
        $revision->created_at = time();
        $revision->created_by = "0";
        $revision->updated_at = time();
        $revision->updated_by = "0";
        R::store( $revision );
    }
}
