<?php

use RedBeanPHP\R;

class Category {

    protected $table;

    function __construct() {
        $settings = require __DIR__ . '/../settings.php';
        $this->table = $settings['settings']['db']['prefix'].'category';
    }

    public function getCategoriesByProject($project = 0, $page = 0) {
        $result = array();
        $filter = "";

        if ($project != 0) $filter = " project_id = ".$project;

        $categories = R::findAll( $this->table , $filter." LIMIT $page, 10 " );
        $article = new Article();

        foreach ($categories as $category) {
            $result[] = array("id" => $category->id, "text" => $category->category,
                "articles" => $article->getArticlesByCategory($category->id));
        }

        return $result;
    }
}
